# $Id: smeserver-sitex.spec,v 1.3 2009/03/04 15:04:57 slords Exp $
# Authority: ????
# Name: David Harper

%define name smeserver-sitex
%define version 1.0
%define release 3
Summary: SME Server integration RPM for SiteX, a content management system
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.david-harper.com/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release >= 7.0
Requires: sitex
AutoReqProv: no

%description
SME Server integration RPM for SiteX, a content management system

%changelog
* Tue Mar 3 2009 David Harper <davidiwharper@hotmail.com> 1.0-3
- Fix security issues with globals.php.inc [SME: 5043]
* Sun Dec 28 2008 David Harper<davidiwharper@hotmail.com> 1.0-2
- better SME integration
* Sat Dec 27 2008 David Harper<davidiwharper@hotmail.com> 1.0-1
- initial release

%prep
%setup -c -n %{name}-%{version}
mv %{name}-%{version} root/

%build
%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
# echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version} 

%pre
%preun
%post
echo ""
echo "see http://wiki.contribs.org/SiteX for more information"

%postun
#uninstall
if [ $1 = 0 ] ; then
 /sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
 /usr/bin/sv h /service/httpd-e-smith
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

